<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class SongArrangementLabel extends Model
{
    use HasFactory;

    protected $fillable = [
        'song_arrangement_id',
        'label_id',
        'order',
    ];

    public function arrangement(): BelongsTo
    {
        return $this->belongsTo(SongArrangement::class, 'song_arrangement_id');
    }

    public function label(): BelongsTo
    {
        return $this->belongsTo(Label::class);
    }
}
